use strict;
use warnings;
use Test::More;
use Test::MockTime
    qw/set_absolute_time set_fixed_time/;

subtest "時間指定" => sub {
    set_absolute_time(0); 
    # set_absolute_timeにsetした直後の時刻
    my $abs_time = time;
    sleep 1;
    # sleepから1秒経過した直後の時刻
    is $abs_time + 1, time, '1 sec past'; 
};

subtest "時間固定" => sub {
    set_fixed_time(0);
    # set_fixed_timeにsetした時刻
    my $fixed_time = time;
    sleep 1;
    # set_fixed_timeにsetした時刻
    is $fixed_time, time, 'fixed time'; 
};

done_testing;
