use strict;
use warnings;
use DBI;
use Test::More;
use Test::mysqld;

my $mysqld = Test::mysqld->new(
    my_cnf => {
        'skip-networking' => '',
    }
) or plan skip_all => $Test::mysqld::errstr;

subtest "dbhを使うテスト" => sub {
    my $dbh = DBI->connect(
            $mysqld->dsn(dbname => 'test'));

    isa_ok $dbh, 'DBI::db', 'dbh is ok';
    
    # 以降に $dbh を利用するテスト
};

done_testing;
