use strict;
use warnings;
use Test::More;
use Test::Stub qw/stub/;
use LWP::UserAgent;
use HTTP::Response;

my $ua = LWP::UserAgent->new;

subtest "レスポンス差替え" => sub {
    stub($ua)->get(
        HTTP::Response->new(200, "OK")
    );
    is (
        $ua->get('http://example.com/')->code,
        200,
        'response code is ok'
    );
};

done_testing;
